Delete a mailbox note
Deletes a note. Only the note's author may. Request: DELETE /v1/mailboxes/{id}/threads/{threadId}/notes/{noteId}. Scope: mailboxes:update.
DELETE
Deletes a note. Only the note's author may.
apiKeyheader
x-api-key<token>id*stringMatch
^mbx_[0-9a-hjkmnp-tv-z]{16,24}$threadId*stringMatch
^thread_[0-9a-hjkmnp-tv-z]{16,24}$noteId*stringMatch
^note_[0-9a-hjkmnp-tv-z]{16,24}$SuccessResponse
application/json- response
success*booleanimport { createClient } from "samva";
const samva = createClient({ apiKey: process.env.SAMVA_API_KEY! });
const result = await samva.mailboxes.deleteNote({
"id": "example",
"threadId": "example",
"noteId": "example"
});Example Response
{
"success": true
}